--- title: "Get Key List" slug: "security-kms2-key-list" updated: 2026-09-17T10:25:45Z published: 2026-09-17T10:25:45Z canonical: "api.ncloud-docs.com/security-kms2-key-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Key List Available in Classic and VPC Get the key list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /kms/v1/keys | ### Request headers For information about the headers common to all Key Management Service APIs, see the account authentication method in [Key Management Service request headers](/docs/en/security-kms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%942%EA%B3%84%EC%A0%95%EC%9D%B8%EC%A6%9D). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Request page number - 1 (default) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 100) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ocapi.ncloud.com/kms/v1/keys?pageNo=1&pageSize=1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Success or Failure | | `data` | Object | - | Response result | | `data.KeyList` | Array | - | Key list details: [KeyList](/docs/en/security-kms2-key-list#KeyList) | | `currentPageNo` | Integer | - | Current page number | | `totalPageNo` | Integer | - | Total page number | | `totalCount` | Integer | - | Number of response results | #### KeyList The following describes `KeyList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyId` | Integer | - | Key identifier | | `keyTag` | String | - | Key tag - Unique identifier for the key derived from the key name - Key tags are not treated as confidential information | | `keyName` | String | - | Key name - Key names are not treated as confidential information | | `keyType` | String | - | Key type - `AES256` \| `RSA2048` \| `ECDSA` - `AES256`: 256-bit key with symmetric-key AES cipher (AES 256-GCM96) - Up to 32 KB of data can be encrypted - `RSA2048`: 2048-bit key using asymmetric-key RSA cipher (RSA 2048) - Able to encrypt/decrypt and sign/verify, but slowest to process - Can encrypt up to 190 bytes of data or sign up to 8 KB of data - `ECDSA`: 256-bit key with asymmetric-keyed ECDSA cipher (ECDSA-P256) - Up to 8 KB of data can be signed | | `data.status` | String | - | Key status - `ENABLE` \| `DISABLE` \| `REVOKE` - `ENABLE`: available - `DISABLE`: disabled - `REVOKE`: pending deletion - See [Manage key status](https://guide.ncloud-docs.com/docs/en/kms-status) for more information on the key status | | `protectionType` | String | - | Key storage method - `BASIC` \| `COMMON_HSM` - `BASIC`: Store encrypted on internal storage - `COMMON_HSM`: Store on HSM (Hardware Security Module) | | `isConvergent` | Boolean | - | Whether to set convergent encryption - `true` \| `false` - `true`: set - `false`: not set | | `registerDate` | Long | - | Key creation date and time (millisecond) - Unix timestamp format | | `destroyDate` | Long | - | Scheduled key deletion date and time (millisecond) - Unix timestamp format - Display only if the key status is Pending deletion (`REVOKE`) | ### Response status codes For information about the HTTP status codes common to all Key Management Service APIs, see [Key Management Service response status codes](/docs/en/security-kms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C2). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "keyList": [ { "keyId": 12345, "keyTag": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6", "keyName": "{KEY_NAME}", "keyType": "AES256", "status": "REVOKE", "protectionType": "BASIC", "isConvergent": true, "registerDate": 1733380631000, "destroyDate": 1733645878000 } ], "currentPageNo": 1, "totalPageNo": 1, "totalCount": 1 } } ```